let rec
  print_expr e = match e with
    | Expr_Var(s) -> print_string s
    | Expr_Num(n) -> print_int n
    | _ -> failwith "print_expr"
;;


let rec 

  print_prog p = match p with
    | Skip -> print_string "skip"
    | Assign(s,e) -> 
	print_string s;
	print_string " := ";
	print_expr e
    | _ -> failwith "print_prog"
;;

let print p = print_prog p; print_newline ();;

